%define oname   jruby-pageant

Name:       ruby-%{oname}
Version:    1.1.1
Release:    %mkrel 4
Summary:    Allows Pageant access on JRuby + Windows
License:    Creative Commons Attribution
Group:      Development/Ruby
URL:        http://github.com/arturaz/jruby-pageant
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This is a convenience gem packaging required for JNA/JSCH jars.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib-fake
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.1.1-4.mga3
+ Revision: 396106
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 381068
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.1.1-2.mga3
+ Revision: 313089
- rebuild for new ruby

* Sun Aug 12 2012 shlomif <shlomif> 1.1.1-1.mga3
+ Revision: 280897
- Correct typo (.src.rpm thanks to aghero
- imported package ruby-jruby-pageant

